Bug 438443 - show_bug.cgi should hide flags and groups unless needing to edit them
Summary: show_bug.cgi should hide flags and groups unless needing to edit them
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface   
(Show other bugs)
Version: 3.2
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHBZ30UpgradeTracker
TreeView+ depends on / blocked
 
Reported: 2008-03-20 21:56 UTC by David Lawrence
Modified: 2013-06-24 02:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 03:48:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to hide full list of flags/groups unless you need to edit them (v1) (6.59 KB, patch)
2008-03-20 21:56 UTC, David Lawrence
nelhawar: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 424215 None None None Never

Description David Lawrence 2008-03-20 21:56:23 UTC
Similar to how the assigned_to, qa_contact, etc. fields are readonly unless you
click on the (edit) link to the right, the group checkboxes and flag form
fields need to be hidden the same way. We have numerous groups (especially if
you are the admin) and a large number of flags that can display for a single
bug report. These group boxes and flags can take up alot of screen space when
not needed. It would be nice to see just a readonly list of the flags/groups
that are set and then provide an (edit) link that will display the full list of
form fields that can
be edited.

Attaching a patch that does this using the standard hideEditableField()
javascript already available in js/field.js. Prints None Set if no flags or
groups are currently set.

Please let me know what you think.
Dave

Comment 1 David Lawrence 2008-03-20 21:56:23 UTC
Created attachment 298752 [details]
Patch to hide full list of flags/groups unless you need to edit them (v1)

Comment 2 David Lawrence 2008-03-20 21:57:08 UTC
I have this running on https://bugdev.devel.redhat.com/bugzilla if you want to
try it out.

Dave

Comment 3 Noura El hawary 2008-03-23 14:41:50 UTC
Comment on attachment 298752 [details]
Patch to hide full list of flags/groups unless you need to edit them (v1)

Hey Dave, the patch looks good to me , also I tested it and it works nicely.

Noura

Comment 4 David Lawrence 2008-03-24 15:56:47 UTC
Thanks Noura. Checked in.


Note You need to log in before you can comment on or make changes to this bug.